Page MenuHomePhabricator

Endterm evaluation for "Improving static analysis tools for MediaWiki"
Closed, ResolvedPublic

Description

GSoC 2016 program enters into its final week soon. All interns should have discussed with their mentors by now on how to submit their work for evaluation as per - https://developers.google.com/open-source/gsoc/help/work-product

Copying from the above link:

Submission

As part of the final evaluation, all participating students must provide a link to the work they have done for the program. Failure to do so properly, may result in failing the program. There are several different ways to do this, so please read this document carefully.

These links will be published on the public project list. They help demonstrate the work that was done during the program. They are also a great way for you to refer back to your work for future employers.

In brief: The target of the link should contain a short description of what work was done, what code got merged, what code didn't get merged, and what's left to do.

Requirements

  • It must be easy to identify the work you have done. (i.e. the changes you made or new code.)
  • When someone goes to the provided URL it should be crystal clear what work you did without requiring them to do signifcant additional digging.
  • It should be in a stable location. It cannot be changed after submission.
  • Someone else should be able to use the content at (or referenced from) the target of the link to extend your work.
  • If your work is 100% complete, they should be able to use it.
  • If your work is not 100% complete, it should be clear what's left to do.

Mentors

Please help your student do a proper code submission. It's important to do this before the evaluation period.

Check that…

  • The submission meets the requirements above.
  • The code compiles.
  • There's documentation of what and why.

Important Dates

August 15 19:00 UTC: Student Final Evaluation (of mentor) period starts.
August 20 19:00 UTC: Deadline for submission for payment information by OA’s
August 23 19:00 UTC: Deadline for Student Final Evaluation (of mentor) submission.
August 23 19:01 UTC: Mentor Final Evaluation (of student) period starts.
August 25 19:00 UTC: Deadline for updating shipping address.
August 29 19:00 UTC: Deadline for submission of Mentor Final Evaluation of (student).

Link

Event Timeline

Sumit created this task.Aug 20 2016, 9:17 PM
Sumit added a comment.Aug 22 2016, 5:26 PM

@Lethexie , please submit your evaluation before Aug 24th at https://summerofcode.withgoogle.com

Lethexie updated the task description. (Show Details)Aug 23 2016, 1:33 PM

The link is attached now. Please check it out ;-)

@Lethexie the main thing i'm not sure about is the requirement:

It should be in a stable location. It cannot be changed after submission.

I'm not sure if google docs is the best place for a stable location, but I'm also not sure of a better solution. Does anyone else have ideas on where to publish?

Sumit added a comment.EditedAug 23 2016, 4:49 PM

A public github gist is a good alternate choice.
Google docs however should be fine. The link would remain stable afaik.

Err, why not a wiki page?

Wiki page is a great idea. But Google says once I submit the link cannot be changed... What should I do now?

Don't care about Google and copy stuff from a Google Doc to a wiki page which is a sub page of your personal home page, and then provide the link here? :)

I think they mean you can't change the link, not the contents at the link? I'll email Google to clarify.

Heh, I reloaded https://developers.google.com/open-source/gsoc/help/work-product and it now says: "It should be in a stable location. The URL cannot be changed after submission.". So I think using a wiki page is all good :)

That's a good idea. Where should I put the wiki page? Or just create a new one ;-)

@Aklapper Oh that's good. I will create the page soon

Sumit added a comment.Aug 26 2016, 1:35 PM

Hello mentors, please remember to complete the final evaluation on https://summerofcode.withgoogle.com before August 29th, 19:00 UTC

Hi all, the final evaluation report wiki page is available now. Please check it out😄

Side note: I think that wiki page would welcome to explain what "the project" and "it" is. Going to that page directly I have no idea which code it refers to - I only know because I followed a link in a Phab task and the Phab task talks about "static analysis tools for MediaWiki". :)

01tonythomas closed this task as Resolved.Aug 29 2016, 5:55 PM

Resolving as done, as per the submission in g.co/gsoc

Hi, @Aklapper I have updated the page with link to my list of contributions on Gerrit. You may find all code and patches I submitted. Does it better now? ;-)